<?php 
/**
 * @package Luzuk Premium
 */
 
function total_dymanic_styles(){
    global $post;
    $primColor = get_theme_mod( 'lz_fitness_template_color', '#283949' );

    $navigationrespnavtoggbarbgssColor = get_theme_mod( 'header_respnavtoggbarbgssColor', '#283949' );
    $navigationrespnavbsbgssColor = get_theme_mod( 'header_respnavbsbgssColor', '#fff' );
    $navigationrespnavmenutitleColor = get_theme_mod( 'header_navigationrespnavbrssColor', '#000' );
    $navigationrespnavmenutitlebgColor = get_theme_mod( 'header_navigationrespnavmenuttlbgColor', '#d5d5d5' );
    $navigationrespnavmenuColor = get_theme_mod( 'header_navigationrespnavmenuColor', '#fff' );
    $navigationrespnavmenubgColor = get_theme_mod( 'header_navigationrespnavmenubgColor', '#283949' );

    $color_rgba = totalColourBrightness($primColor, 0.3);
    // echo '<br>Dark color: '.
    $darker_color = totalColourBrightness($primColor, -0.5);

    $header_image = get_header_image();
    // DYNAMIC FONTS
    // echo '<br> heading font '.
    $headeingFontRow = get_theme_mod('lz_fitness_general_headeing_font', '23');
    // echo '<br> text font '.
    $textFontRow = get_theme_mod('lz_fitness_general_text_font', '23');
    $header = get_theme_mod('header_textcolor', '#666666'); //header color

    $headerlogoTmargin = get_theme_mod('pages_logoTmargin', '15px');
    $headerlogoBmargin = get_theme_mod('pages_logoBmargin', '15px');
    $headerlogoLmargin = get_theme_mod('pages_logoLmargin', '0px');
    $headerlogoRmargin = get_theme_mod('pages_logoRmargin', '0px');

    $headingFont = getFonts(false, (int)$headeingFontRow);
    $textFont = getFonts(false, (int)$textFontRow);
    $custom_css = '';
    $custom_css = " body, * {font-family: $textFont;}
    h2.lz-about-heading, h2.lz-facility-heading, .ht-section-title, .lz-fitness-h2, .ht-title-wrap, .ht-slide-cap-title, .ht-slide-cap-title span, #ht-princing-post-section .ht-princing-icon,h1, h2, h3, h4, h5, h6,#pricing-page .ht-princing-icon .ht-slide-cap-descmore a, button, section#ht-newsletter-section input[type='text']::placeholder, 
input[type='email']::placeholder, footer#ht-colophon input[type='text'], footer#ht-colophon textarea, footer#ht-colophon textarea::placeholder{font-family: $headingFont; }
        .upper-header { background: url('$header_image'); background-repeat: no-repeat; background-size: cover;}
        #ht-masthead,.page-template-home-template .ht-main-navigation .menu-item > a, .ht-main-navigation a, .ht-main-navigation ul ul a {color: #{$header};}
    .page-template-home-template .ht-main-navigation .current_page_item > a {color: #fff;}
    li.current_page_item > a {color: #ffffff;}

     .logobox img{margin-top: $headerlogoTmargin;}
    .logobox img{margin-bottom: $headerlogoBmargin;}
    .logobox img{margin-left: $headerlogoLmargin;}
    .logobox img{margin-right: $headerlogoRmargin;}
    ";

    $custom_css .= "
    button,
    input[type='button'],
    input[type='reset'],
    input[type='submit'],
    .widget-area .widget-title:after,
    h3#reply-title:after,
    h3.comments-title:after,
    .nav-previous a,
    .nav-next a,
    .pagination .page-numbers,    
    .ht-progress-bar-length,


    .ht-service-post-wrap:after,
    .ht-service-icon,
    .ht-counter:after,
    .ht-counter:before,
    .ht-testimonial-wrap .bx-wrapper .bx-controls-direction a,
    .ht-cta-buttons a.ht-cta-button1,
    .ht-cta-buttons a.ht-cta-button2:hover,
    #ht-back-top:hover,
    .entry-readmore a,
    .woocommerce #respond input#submit, 
    .woocommerce a.button, 
    .woocommerce button.button, 
    .woocommerce input.button,
    .woocommerce ul.products li.product:hover .button,
    .woocommerce #respond input#submit.alt, 
    .woocommerce a.button.alt, 
    .woocommerce button.button.alt, 
    .woocommerce input.button.alt,
    .woocommerce nav.woocommerce-pagination ul li a, 
    .woocommerce nav.woocommerce-pagination ul li span,
    .woocommerce span.onsale,
    .woocommerce div.product .woocommerce-tabs ul.tabs li.active,
    .woocommerce #respond input#submit.disabled, 
    .woocommerce #respond input#submit:disabled, 
    .woocommerce #respond input#submit:disabled[disabled], 
    .woocommerce a.button.disabled, .woocommerce a.button:disabled, 
    .woocommerce a.button:disabled[disabled], 
    .woocommerce button.button.disabled, 
    .woocommerce button.button:disabled, 
    .woocommerce button.button:disabled[disabled], 
    .woocommerce input.button.disabled, 
    .woocommerce input.button:disabled, 
    .woocommerce input.button:disabled[disabled],
    .woocommerce #respond input#submit.alt.disabled, 
    .woocommerce #respond input#submit.alt.disabled:hover, 
    .woocommerce #respond input#submit.alt:disabled, 
    .woocommerce #respond input#submit.alt:disabled:hover, 
    .woocommerce #respond input#submit.alt:disabled[disabled], 
    .woocommerce #respond input#submit.alt:disabled[disabled]:hover, 
    .woocommerce a.button.alt.disabled, 
    .woocommerce a.button.alt.disabled:hover, 
    .woocommerce a.button.alt:disabled, 
    .woocommerce a.button.alt:disabled:hover, 
    .woocommerce a.button.alt:disabled[disabled], 
    .woocommerce a.button.alt:disabled[disabled]:hover, 
    .woocommerce button.button.alt.disabled, 
    .woocommerce button.button.alt.disabled:hover, 
    .woocommerce button.button.alt:disabled, 
    .woocommerce button.button.alt:disabled:hover, 
    .woocommerce button.button.alt:disabled[disabled], 
    .woocommerce button.button.alt:disabled[disabled]:hover, 
    .woocommerce input.button.alt.disabled, 
    .woocommerce input.button.alt.disabled:hover, 
    .woocommerce input.button.alt:disabled, 
    .woocommerce input.button.alt:disabled:hover, 
    .woocommerce input.button.alt:disabled[disabled], 
    .woocommerce input.button.alt:disabled[disabled]:hover,
    .woocommerce .widget_price_filter .ui-slider .ui-slider-range,
    .woocommerce-MyAccount-navigation-link a,
    #ht-princing-post-section .ht-princing-icon,
    .ht-princing-icon,      
    .readmore a,
    .page-main-header,
    #ht-contactus-wrap .contact-page-form,
    .contact-mapbox iframe,
    #content-box ol li:before,
    .ht-slide-cap-descmore a,
    .days-time-day,
    .lz-facility-text ul li i,
    .facility-icon,
    #blog-box .blog-read-more a,
    .pagingation .current,
    .pagingation a:hover,
    .sect-height-appointment-box,
    .ht-appintment-member-wrap:after,
    main#innerpage-box .page-testimonial-box,
    #innerpage-box #blog-box .ht-blog-date,
    #innerpage-box .single_post .post-date-publishable,
    #commentsAdd input[type='submit'],
    .woocommerce ul.products li.product .button,
    #innerpage-box .faq-content h6,
    #innerpage-box .our-teampage .teamicon li a,
    #innerpage-box span.roll,
    main#innerpage-box div#sitemap-box h3,
    .ht-main-navigation ul ul

    {
        background:{$primColor};
    }

    
    .ht-post-info .entry-date span.ht-day,
    .entry-categories .fa,
    .widget-area a:hover,
    .comment-list a:hover,
    .no-comments,
    .woocommerce .woocommerce-breadcrumb a:hover,
    #total-breadcrumbs a:hover,
    .ht-featured-link a,
    .ht-portfolio-cat-name-list .fa,
    .ht-portfolio-cat-name:hover, 
    .ht-portfolio-cat-name.active,
    .ht-portfolio-caption a,
    .ht-team-detail,
    .ht-counter-icon,
    .woocommerce ul.products li.product .price,
    .woocommerce div.product p.price, 
    .woocommerce div.product span.price,
    .woocommerce .product_meta a:hover,
    .woocommerce-error:before, 
    .woocommerce-info:before, 
    .woocommerce-message:before,
    .featured-post:after,
    .featured-post:before,
    .featured-link a,
    .breadcrumbbox a,
    #ht-colophon .social-profile-icons a:hover,
    footer#ht-colophon ul li a:hover,
    .ht-footer .textwidget .fa,
    h6.secondry-text,
    #ht-about-us-section ul li:before,
    .pluses.text-right i.fa.fa-plus,
    .ht-section-tagline.lz-newslatter-text b,
    #content-box ul li:before,
    .offtimebox h4.offtime-text,
    #ht-masthead .header-social-links span:hover,
    #ht-masthead ul.header-menu-links li.mailto a:hover,
    .ht-slider-highlighttext,
    .edit-link a,
    .inner-blog-post .socialMedia a:hover,
    #comments a, 
    #commentsAdd a,
    #content-box a i:hover,
    #respond .stars span a,
    #content-box .socialMedia a:hover,
    #blog-box .blog-read-more a:hover,
    div#sitemap-box ul li a,
    .lz-fitness-time div:nth-child(8) div.days-time-day {  color:{$primColor};}

    .ht-featured-link a,
    .ht-counter,
    .ht-testimonial-wrap .bx-wrapper img,
    .ht-blog-post,
    #ht-colophon,
    .woocommerce ul.products li.product:hover, 
    .woocommerce-page ul.products li.product:hover,
    .woocommerce #respond input#submit, 
    .woocommerce a.button, 
    .woocommerce button.button, 
    .woocommerce input.button,
    .woocommerce ul.products li.product:hover .button,
    .woocommerce #respond input#submit.alt, 
    .woocommerce a.button.alt, 
    .woocommerce button.button.alt, 
    .woocommerce input.button.alt,
    .woocommerce div.product .woocommerce-tabs ul.tabs,
    .woocommerce #respond input#submit.alt.disabled, 
    .woocommerce #respond input#submit.alt.disabled:hover, 
    .woocommerce #respond input#submit.alt:disabled, 
    .woocommerce #respond input#submit.alt:disabled:hover, 
    .woocommerce #respond input#submit.alt:disabled[disabled], 
    .woocommerce #respond input#submit.alt:disabled[disabled]:hover, 
    .woocommerce a.button.alt.disabled, 
    .woocommerce a.button.alt.disabled:hover, 
    .woocommerce a.button.alt:disabled, 
    .woocommerce a.button.alt:disabled:hover, 
    .woocommerce a.button.alt:disabled[disabled], 
    .woocommerce a.button.alt:disabled[disabled]:hover, 
    .woocommerce button.button.alt.disabled, 
    .woocommerce button.button.alt.disabled:hover, 
    .woocommerce button.button.alt:disabled, 
    .woocommerce button.button.alt:disabled:hover, 
    .woocommerce button.button.alt:disabled[disabled], 
    .woocommerce button.button.alt:disabled[disabled]:hover, 
    .woocommerce input.button.alt.disabled, 
    .woocommerce input.button.alt.disabled:hover, 
    .woocommerce input.button.alt:disabled, 
    .woocommerce input.button.alt:disabled:hover, 
    .woocommerce input.button.alt:disabled[disabled], 
    .woocommerce input.button.alt:disabled[disabled]:hover,
    .woocommerce .widget_price_filter .ui-slider .ui-slider-handle
    .ht-main-navigation .current_page_item > a,
    .ht-main-navigation .current-menu-item > a,
    .ht-main-navigation .current_page_ancestor > a,
    .ht-main-navigation li:hover > a,
    .page-template-home-template .ht-main-navigation li:hover > a,
    .home.blog .ht-main-navigation li:hover > a,
    .page-template-home-template .ht-main-navigation .current > a,
    .home.blog .ht-main-navigation .current > a,
    .featured-post:before,
    #blog-box .blog-read-more a,
    main#innerpage-box .page-testimonial-box:hover,
    .woocommerce ul.products li.product:hover, .woocommerce-page ul.products li.product:hover, 
     main#innerpage-box .page-testimonial-box:hover .team-thumb img,
     #ht-masthead .header-social-links span:hover,
     #innerpage-box #blog-box .ht-blog-date,
     .woocommerce ul.products li.product, .woocommerce-page ul.products li.product,
     .woocommerce ul.products li.product .button,
     #innerpage-box .faq-content p,
    .newsletter-form-box input[type='email']
    {
        border-color: {$primColor};
    }

    #ht-masthead,
    .woocommerce-error, 
    .woocommerce-info, 
    .woocommerce-message{
        border-top-color: {$primColor};
    }

    .nav-next a:after{
        border-left-color: {$primColor};
    }

    .nav-previous a:after{
        border-right-color: {$primColor};
    }

    .ht-active .ht-service-icon{
        box-shadow: 0px 0px 0px 2px #FFF, 0px 0px 0px 4px {$primColor};
    }

    .woocommerce ul.products li.product .onsale:after{
        border-color: transparent transparent {$darker_color} {$darker_color};
    }

    .woocommerce span.onsale:after{
        border-color: transparent {$darker_color} {$darker_color} transparent
    }


    @media screen and (max-width: 1000px){
        .toggle-bar,
        .ht-main-navigation .ht-menu{
            background:{$primColor}
        }
    }

    @media screen and (max-width: 991px){
       header .nav-wrapper.show-menu{
            background:{$navigationrespnavbsbgssColor};
        }
        header nav .nav-title{
            color:{$navigationrespnavmenutitleColor};
        }
        header nav .nav-back:before{
            border-top-color:{$navigationrespnavmenutitleColor} !important;
        }
        header nav .nav-back:before{
            border-left-color:{$navigationrespnavmenutitleColor} !important;
        }
        header nav .nav-back:after{
            background-color:{$navigationrespnavmenutitleColor} !important;
        }
        header .js-nav-toggle{border-color: {$navigationrespnavtoggbarbgssColor} !important;}
        header .js-nav-toggle span, header .js-nav-toggle span::before, 
        header .js-nav-toggle span::after{background-color: {$navigationrespnavtoggbarbgssColor};}
        header nav .nav-toggle{
            background-color:{$navigationrespnavmenutitlebgColor};
        }
        header .nav-wrapper nav a, header .nav-wrapper nav ul.sub-menu a{
            color:{$navigationrespnavmenuColor} !important;
        }
        header .nav-wrapper nav{
            background-color:{$navigationrespnavmenubgColor};
        }
        
    }";
    
    
    // heading text colour 
    $headingColor = get_theme_mod('lz_fitness_title_color', '#fe5722');
    $custom_css .= '.title-color{color:'.$headingColor.';}';

    // START SECONDARY COLOR CSS
    $secondary = get_theme_mod('theme_secondary_color', '#fbda4d');
    $custom_css .='
    #innerpage-box .testimonial-content h6,
    div#commentsAdd a:hover,
    div#comments a:hover,
    #innerpage-box span.roll h6,
    div#sitemap-box ul li a:hover,
    #innerpage-box .our-teampage:hover h3.title,
    #innerpage-box .our-teampage .team-icon li a i:hover{
    color:'.$secondary.'
}

#blog-box .blog-read-more a:hover,
.woocommerce ul.products li.product:hover .button:hover,
#innerpage-box .our-teampage .teamicon li a:hover{
    background-color:'.$secondary.'
}
#blog-box .blog-read-more a:hover,
.woocommerce ul.products li.product:hover .button:hover,
.woocommerce .widget_price_filter .ui-slider .ui-slider-handle,
div#sitemap-box li:hover a{
    border-color:'.$secondary.'
}
span.edit-link a:hover{
    color:'.$secondary.'
}

main#innerpage-box .testimonial-content:before{
    border-bottom-color:'.$secondary.'
}
div#content-box .testimonial-content-box i.fa.fa-quote-right{
    color:'.$secondary.'
}
   .secondry-bg{
       // background-color:'.$secondary.'
    }    
     
     
     {border-color: '.$secondary.';}
 
    #ht-newslatter-section .lz-newslatter-heading,
    
     {color:'.$secondary.';}     
 
     
     {border-color: '.$secondary.';}
     
    
     {background-color:'.$secondary.'}
        ';
    // ENDS SECONDARY COLOR CSS
  //Featured Section  
    if(get_theme_mod('lz_fitness_premium_about_section_background','off') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_about_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.jpg';
        
        $custom_css .= '#featured-post-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}'; 
    }else{
        $color = get_theme_mod('lz_fitness_about_bg_color', '#283949');
        if('#283949' != $color){
            $custom_css .= '#featured-post-section {background-color: '.$color.';}';
        }
    } 

 

    // Services section 
    if(get_theme_mod('lz_fitness_premium_services_section_background','off') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_services_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.jpg';
        
        $custom_css .= '#services-post-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}'; 
    }else{
        $color = get_theme_mod('lz_fitness_services_bg_color', '#eaeaea');
        if('#eaeaea' != $color){
            $custom_css .= '#services-post-section {background-color: '.$color.';}';
        }
    } 
    //about construction section
    if(get_theme_mod('lz_fitness_premium_aboutconstruction_section_background','on') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_aboutconstruction_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/aboutbg.jpg';
        
        $custom_css .= 'section#ht-aboutconstruction-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}'; 
    }else{
        $color = get_theme_mod('lz_fitness_aboutconstruction_bg_color', '#ffffff');
        if('#ffffff' != $color){
            $custom_css .= 'section#ht-aboutconstruction-section {background-color: '.$color.';}';
        }
    } 

    //add colors
$aboutconstructiontitleColor = get_theme_mod('lz_fitness_aboutconstruction_HeadingColor', '#292929'); 
$aboutconstructionsubtitleColor = get_theme_mod('lz_fitness_aboutconstruction_subtitleColor', '#292929');   
$aboutconstructiontextColor = get_theme_mod('lz_fitness_aboutconstruction_textColor', '#000000');   
$aboutconstructionsubtextColor = get_theme_mod('lz_fitness_aboutconstruction_subtextColor', '#fbda4d');   
$aboutconstructioncontentColor = get_theme_mod('lz_fitness_aboutconstruction_contentColor', '#292929'); 
$aboutconstructionimgbgColor = get_theme_mod('lz_fitness_aboutconstruction_imgbgColor', '#fbda4d'); 

$aboutconstructionborderbrssclrColor = get_theme_mod('lz_fitness_aboutconstruction_borderbrssclrColor', '#cecece'); 
$aboutconstructionborderhighlightColor = get_theme_mod('lz_fitness_aboutconstruction_borderhighlightColor', '#fbda4d'); 

$custom_css .= 'h2.ht-section-title.lz-aboutconstruction-heading{color: '.$aboutconstructiontitleColor.';} section#ht-aboutconstruction-section .about-construction-subtitle{color: '.$aboutconstructionsubtitleColor.';}
section#ht-aboutconstruction-section .construction-title-box{color: '.$aboutconstructiontextColor.';} section#ht-aboutconstruction-section .lz-fitness-aboutconstruction-subheading{color: '.$aboutconstructionsubtextColor.';}section#ht-aboutconstruction-section .aboutconstruction-text-box{color: '.$aboutconstructioncontentColor.';}
.construction-box:after{background-color: '.$aboutconstructionimgbgColor.';}
section#ht-aboutconstruction-section .ht-section-title-tagline:before{border-bottom-color: '.$aboutconstructionborderhighlightColor.';} section#ht-aboutconstruction-section .ht-section-title-tagline:after{border-bottom-color: '.$aboutconstructionborderbrssclrColor.';}  ';  

    // Team section 
    if(get_theme_mod('lz_fitness_premium_team_section_background','off') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_team_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.jpg';
        
        $custom_css .= '#ht-team-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}'; 
    }else{
        $color = get_theme_mod('lz_fitness_team_bg_color', '#f6f6f6');
        if('#f6f6f6' != $color){
            $custom_css .= '#ht-team-section {background-color: '.$color.';}';
        }
    } 
      // Banner section 
    if(get_theme_mod('lz_fitness_premium_banner_section_background','off') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_banner_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.jpg';
        
        $custom_css .= '#banner-content-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}'; 
    }else{
        $color = get_theme_mod('lz_fitness_banner_bg_color', '#f6f6f6');
        if('#f6f6f6' != $color){
            $custom_css .= '#banner-content-section {background-color: '.$color.';}';
        }
    } 
    //facility-section
    if(get_theme_mod('lz_fitness_premium_facility_section_background','off') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_facility_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.png';
        
        $custom_css .= '#facility-content-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}'; 
    }else{
        $color = get_theme_mod('lz_fitness_facility_bg_color', '#fff');
        if('#fff' != $color){
            $custom_css .= '#facility-content-section {background-color: '.$color.';}';
        }
    } 
    
    // Featured Product section
        if(get_theme_mod('lz_fitness_premium_featuredproduct_section_background','off') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_featuredproduct_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.jpg';
        
        $custom_css .= '#featured-product-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}';
    }else{
        $color = get_theme_mod('lz_fitness_featuredproduct_bg_color', '#ea70a1');
        if('#ea70a1' != $color){
            $custom_css .= '#featured-product-section {background-color: '.$color.';} .about-post{border-color:'.$color.';}';
        }
    }
    // Gallary section 
    if(get_theme_mod('lz_fitness_premium_gallery_section_background','on') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_gallery_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/gallery-bg.jpg';
        
        $custom_css .= 'section#ht-gallery-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}';
    }else{
        $color = get_theme_mod('lz_fitness_gallery_bg_color', '#fff');
        if('#fff' != $color){
            $custom_css .= 'section#ht-gallery-section {background-color: '.$color.';}';
        }
    } 
    // gym 
    if(get_theme_mod('lz_fitness_premium_reservation_section_background','on') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_reservation_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/about.jpg';
        
        $custom_css .= 'section#reservation {background-image: url("'.$img.'");background-position: top;background-size: cover;}';
    }else{
        $color = get_theme_mod('lz_fitness_reservation_bg_color', '#ffffff');
        if('#ffffff' != $color){
            $custom_css .= 'section#reservation {background-color: '.$color.';} .time-post{border-color:'.$color.';}';
        }
    }
      // Video section
        if(get_theme_mod('lz_fitness_premium_video_section_background','off') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_video_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.png';
        
        $custom_css .= '#video-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}';
    }else{
        $color = get_theme_mod('lz_fitness_video_bg_color', '#ffffff');
        if('#ffffff' != $color){
            $custom_css .= '#video-section {background-color: '.$color.';} .about-post{border-color:'.$color.';}';
        }
    }
    //appointment
    if(get_theme_mod('lz_fitness_premium_appointment_section_background','on') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_appointment_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/appointment-bg.jpg';
        
        $custom_css .= '#ht-appintment-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}'; 
    }else{
        $color = get_theme_mod('lz_fitness_appointment_bg_color', '#fff');
        if('#fff' != $color){
            $custom_css .= '#ht-appintment-section {background-color: '.$color.';}';
        }
    } 
     //appointment sub image
    if(get_theme_mod('lz_fitness_premium_appointment_sub_section_background','on') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_appointment_sub_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/appointment.jpg';
        
        $custom_css .= '.apointmentmain-box {background-image: url("'.$img.'");background-position: top;background-size: cover;}'; 
    }else{
        $color = get_theme_mod('lz_fitness_appointment_sub_bg_color', '#fff');
        if('#fff' != $color){
            $custom_css .= '.apointmentmain-box {background-color: '.$color.';}';
        }
    } 


    // pricing 
    
    if(get_theme_mod('lz_fitness_premium_pricing_section_background','on') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_pricing_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/package-bg.jpg';
        
        $custom_css .= '#ht-princing-post-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}'; 
    }else{
        $color = get_theme_mod('lz_fitness_pricing_bg_color', '#fff');
        if('#fff' != $color){
            $custom_css .= '#ht-princing-post-section {background-color: '.$color.';}';
        }
    } 

    // For Footer

    if(get_theme_mod('lz_fitness_premium_footer_section_background','off') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_footer_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.png';
        
        $custom_css .= '#ht-colophon {background-image: url("'.$img.'");background-position: top;background-size: cover;}';
    }else{
        $color = get_theme_mod('lz_fitness_footer_bg_color', '#7c529c');
        if('#7c529c' != $color){
            $custom_css .= '#ht-colophon {background-color: '.$color.';} .about-post{border-color:'.$color.';}';
        }
    }

 // main header background color
    $HeaderupbgColor = get_theme_mod('lz_fitness_header_backgroundColor', '#f8f8f8');
    $HeaderlowerbgColor = get_theme_mod('lz_fitness_header_backgroundlowerColor', '#fff');
    $HeaderphonetitleColor = get_theme_mod('lz_fitness_header_phonetitleColor', '#27394d');
    $HeaderphoneColor = get_theme_mod('lz_fitness_header_phoneColor', '#27394d');
    $HeaderphoneiconColor = get_theme_mod('lz_fitness_header_phoneiconColor', '#fbda4d');
    $headerSiteLtitleColor = get_theme_mod('header_SiteLtitleColor', '#000');
    //$HeadertaglineColor = get_theme_mod('lz_fitness_header_taglineColor', '#000');
    //.ht-site-description{color: '.$HeadertaglineColor.';}
    $HeadersocialColor = get_theme_mod('lz_fitness_header_socialColor', '#29384b');
    $HeadersocialhoverColor = get_theme_mod('lz_fitness_header_socialhoverColor', '#fbda4d');
    $HeadersocialBorderColor = get_theme_mod('lz_fitness_header_socialBorderColor', '#29384b');
    $HeadersocialBorderhoverColor = get_theme_mod('lz_fitness_header_socialBorderhoverColor', '#fbda4d');
    $headermenuColor = get_theme_mod('lz_fitness_headermenu_color', '#fff');
    $headercurrentmenuColor = get_theme_mod('lz_fitness_headercurrentmenu_color', '#e2c547');
    $headermenuhoverColor = get_theme_mod('lz_fitness_headermenuhover_color', '#e2c547');
    $headercurrentmenubgColor = get_theme_mod('lz_fitness_headercurrentmenubg_color', '#283949');
    $headermenuhoverbgColor = get_theme_mod('lz_fitness_headermenuhoverbg_color', '#45494a');
    $headersubmenuColor = get_theme_mod('lz_fitness_headersubmenu_color', '#fff');
    $headerdropdownbgColor = get_theme_mod('lz_fitness_headerdropdownbg_color', '#283949');
    $headerdropdownborderColor = get_theme_mod('lz_fitness_headerdropdownborder_color', '#ecce4d');
    $headersubmenuhoverColor = get_theme_mod('lz_fitness_headersubmenuhover_color', '#000');
    $headersubmenuarrowhoverColor = get_theme_mod('lz_fitness_headersubmenuarrowhover_color', '#000');

    $headercurrentsubmenuColor = get_theme_mod('lz_fitness_headercurrentsubmenu_color', '#fff');
    $headercurrentsubmenubgColor = get_theme_mod('lz_fitness_headercurrentsubmenubg_color', '#45494a');

    $lz_fitness_header_backgroundlowerColor = get_theme_mod('lz_fitness_header_backgroundlowerColor', '#ffffff');
  $lz_fitness_header_navigationbgsbackgroundlowerColor = get_theme_mod('lz_fitness_header_navigationbgsbackgroundlowerColor', '#283949');


$Headerheaderrightboxbtntestcolor = get_theme_mod('lz_fitness_headerrightboxbtntest_color', '#fff');
$headerrightboxbtntesthoverColor = get_theme_mod('lz_fitness_headerrightboxbtntesthover_color', '#fbda4d');
$headerrightboxbgssColor = get_theme_mod('lz_fitness_headerrightboxbgss_color', '#34495c');
$headerrightboxbgsshoverColor = get_theme_mod('lz_fitness_headerrightboxbgsshover_color', '#34495c');


$lz_fitness_header_bottomheaderborderColor = get_theme_mod('lz_fitness_header_bottomheaderborderColor', '#ffffff');
$custom_css .= '.top-bar-head .inside-full-height{border-color: '.$lz_fitness_header_bottomheaderborderColor.';}
.top-bar-head {background-color: '.$lz_fitness_header_navigationbgsbackgroundlowerColor.';}
.header-left {background-color: '.$lz_fitness_header_backgroundlowerColor.';}
.upper-header {background-color: '.$HeaderupbgColor.';}
header.site-header, .lower-header {background-color: '.$HeaderlowerbgColor.';}
header.site-header .themetext{color: '.$HeaderphonetitleColor.';}
header.site-header .themetext span a{color: '.$HeaderphoneColor.';}
header.site-header .themetext i{color: '.$HeaderphoneiconColor.';}
.ht-site-title a{color: '.$headerSiteLtitleColor.';}

header.site-header .header-social-links span,
.share-btn ul li a.site-button i.fa, 
.share-btn ul li a.site-button i.fa-brands.fa-x-twitter{color: '.$HeadersocialColor.';}

header.site-header .header-social-links span:hover{color: '.$HeadersocialhoverColor.';}
header.site-header .header-social-links span{border-color: '.$HeadersocialBorderColor.';} 
header.site-header .header-social-links span:hover{border-color: '.$HeadersocialBorderhoverColor.';}
ul.mainmenu li a{color: '.$headermenuColor.';}
ul.mainmenu li.current_page_item a, 
.page-template-home-template .ht-main-navigation .current_page_item > a{color: '.$headercurrentmenuColor.';}
ul.mainmenu li a:hover{color: '.$headermenuhoverColor.';}
header.site-header li.current_page_item > a{background-color: '.$headercurrentmenubgColor.';}
    
.header.site-header ul.sub-menu li a{color: '.$headersubmenuColor.';}
.menu-wrapper ul.sub-menu{background-color: '.$headerdropdownbgColor.';}
ul.sub-menu{border-color: '.$headerdropdownborderColor.' !important;}
.header.site-header ul.sub-menu li a:hover{color: '.$headersubmenuhoverColor.';}
ul.mainmenu ul.sub-menu li a:before {color: '.$headersubmenuarrowhoverColor.';}

ul.sub-menu li.current_page_item a{color: '.$headercurrentsubmenuColor.';}
ul.sub-menu li.current_page_item a{background-color: '.$headercurrentsubmenubgColor.';}
.header-right-box a, .header-social-links li a{color: '.$Headerheaderrightboxbtntestcolor.';}
.header-right-box a:hover, .header-social-links li a:hover {color: '.$headerrightboxbtntesthoverColor.';}
.header-right-box a, .header-social-links li{background-color: '.$headerrightboxbgssColor.';}
.header-right-box a:hover, .header-social-links li:hover{background-color: '.$headerrightboxbgsshoverColor.';}';

 
 


     // slider color
    $slidertitleColor = get_theme_mod('lz_fitness_slider_TitleColor', '#000');
     $slidertitlebgColor = get_theme_mod('lz_fitness_slider_TitlebgColor', '#fbda4d');
    $slidersubtitleColor = get_theme_mod('lz_fitness_slider_SubtitleColor', '#fff');
      $slidersubtitlebgColor = get_theme_mod('lz_fitness_slider_SubtitlebgColor', '#181f25');
    $sliderbuttontextColor = get_theme_mod('lz_fitness_slider_buttontextColor', '#2b2b2b');
    $sliderbtnbgColor = get_theme_mod('lz_fitness_slider_buttonbgColor', '#fbda4d');
     $sliderbtnbg2Color = get_theme_mod('lz_fitness_slider_buttonbg2Color', '#000');
    $sliderbuttontexthoverColor = get_theme_mod('lz_fitness_slider_buttontexthoverColor', '#fbda4d');
    $sliderbtnbghoverColor = get_theme_mod('lz_fitness_slider_buttonbghoverColor', '#000');
    $sliderbtnborderhoverColor = get_theme_mod('lz_fitness_slider_buttonborderhoverColor', '#fbda4d');
    $sliderarrowsColorColor = get_theme_mod('lz_fitness_slider_arrowsColor', '#2b2b2b');
    $sliderarrowshoverColor = get_theme_mod('lz_fitness_slider_arrowshoverColor', '#fbda4d');
$sliderprevbuttonColor = get_theme_mod('lz_fitness_slider_prevbuttonColor', '#af9d56');
$sliderNextbuttonColor = get_theme_mod('lz_fitness_slider_NextbuttonColor', '#918659');

$sliderprevbuttonhoverColor = get_theme_mod('lz_fitness_slider_prevbuttonhoverColor', '#fcda4e');
$sliderNextbuttonhoverColor = get_theme_mod('lz_fitness_slider_NextbuttonhoverColor', '#fcda4e');

    $custom_css .= '.ht-slide-cap-title span, .ht-slide-cap-title {color: '.$slidertitleColor.';}
    .ht-slide-cap-title.animated.fadeInDown{background-color: '.$slidertitlebgColor.';}
    .ht-slide-cap-desc, .ht-slide-cap-desc span {color: '.$slidersubtitleColor.';}
    div#ht-home-slider-section .btn11::before{background-color: '.$sliderbtnbgColor.';}
    div#ht-home-slider-section .btn11::after{background-color: '.$sliderbtnbg2Color.';}
    .ht-slide-cap-desc, .ht-slide-cap-desc span {background-color: '.$slidersubtitlebgColor.';}
    div#ht-home-slider-section .btn11 {color: '.$sliderbuttontextColor.';}
    .ht-slide-cap-descmore a {background-color: '.$sliderbtnbgColor.';}
    div#ht-home-slider-section .btn11:hover{color: '.$sliderbuttontexthoverColor.';}
    .ht-slide-cap-descmore a:hover{background-color: '.$sliderbtnbghoverColor.';}
    .ht-slide-cap-descmore a:hover{border-color: '.$sliderbtnborderhoverColor.';}
    div#ht-home-slider-section i.fa.fa-arrow-right{color: '.$sliderarrowsColorColor.';} 
    div#ht-home-slider-section .btn11:hover  i.fa.fa-arrow-right{color: '.$sliderarrowshoverColor.';} #ht-home-slider-section .bx-wrapper .bx-prev{background-color: '.$sliderprevbuttonColor.';} #ht-home-slider-section .bx-wrapper .bx-next{background-color: '.$sliderNextbuttonColor.';}
    #ht-home-slider-section .bx-wrapper .bx-prev:hover{background-color: '.$sliderprevbuttonhoverColor.';} #ht-home-slider-section .bx-wrapper .bx-next:hover{background-color: '.$sliderNextbuttonhoverColor.';}';

      //Sticky Section Color
     $stickybgColor = get_theme_mod('lz_fitness_stickysectionbgColor', '#82B440');
     $stickyiconColor = get_theme_mod('lz_fitness_sticky_iconColor', '#fff');
     $stickytitleColor = get_theme_mod('lz_fitness_sticky_titleColor', '#363636');
     $custom_css .= '#sticky-section{background-color: '.$stickybgColor.';}
     .sticky-icon span{color: '.$stickyiconColor.';}
     #sticky-section h5{color: '.$stickytitleColor.';}';

    //Footer background color
    $footertitleColor = get_theme_mod('lz_fitness_footer_title_color', '#fff');
    $footericonColor = get_theme_mod('lz_fitness_footer_icon_color', '#fbda4d');
    $footericonhoverColor = get_theme_mod('lz_fitness_footer_iconhover_color', '#fff');
    $footertextColor = get_theme_mod('lz_fitness_footer_text_color', '#fff');
    $footermenuColor = get_theme_mod('lz_fitness_footer_menu_color', '#fff');
    $footermenusborderColor = get_theme_mod('lz_fitness_footer_menusborder_color', '#fff');
     $footermenusborderhoverColor = get_theme_mod('lz_fitness_footer_menusborderhover_color', '#fbda4d');
    $footermenuhoverColor = get_theme_mod('lz_fitness_footer_menuhover_color', '#fbda4d');
     $footermenudateColor = get_theme_mod('lz_fitness_footer_menudate_color', '#fff');

    $footerformColor = get_theme_mod('lz_fitness_footer_form_color', '#283949');
    $footerformborderColor = get_theme_mod('lz_fitness_footer_formborder_color', '#fff');
    $footerformbgColor = get_theme_mod('lz_fitness_footer_formbg_color', '#fff');
    $footerbtnColor = get_theme_mod('lz_fitness_footer_formbtn_color', '#283949');
    $footerbtnbgColor = get_theme_mod('lz_fitness_footer_formbtnbg_color', '#fbda4d');

    $footersocialColor = get_theme_mod('lz_fitness_footer_social_color', '#fff');
    $footersocialhoverColor = get_theme_mod('lz_fitness_footer_socialhover_color', '#fbda4d');
    $footersocialborderColor = get_theme_mod('lz_fitness_footer_socialborder_color', '#fff');
    $footersocialborderhoverColor = get_theme_mod('lz_fitness_footer_socialborderhover_color', '#fbda4d');

    $footertabletextColor = get_theme_mod('lz_fitness_footer_tabletext_color', '#fff');
    $footertableborderColor = get_theme_mod('lz_fitness_footer_tableborder_color', '#fff');

    $footercopyrighttextColor = get_theme_mod('lz_fitness_footer_copyrighttext_color', '#fff');
    $footermenuiconColor = get_theme_mod('lz_fitness_footer_menuicon_color', '#ffffff');
    $footermenuiconhoverColor = get_theme_mod('lz_fitness_footer_menuiconhover_color', '#fbda4d');
    $footercopyrightbrssColor = get_theme_mod('lz_fitness_footer_copyrightbrss_color', '#53616e');

    $footerformlabeltextcolor = get_theme_mod('lz_fitness_footer_formlabeltext_color', '#ffffff');
    $custom_css .= '#ht-colophon .widget-title{color: '.$footertitleColor.';}
    footer#ht-colophon p i{color: '.$footericonColor.';}
    footer#ht-colophon p i:hover{color: '.$footericonhoverColor.';}
    footer#ht-colophon p{color: '.$footertextColor.';}
   footer#ht-colophon ul li a{color: '.$footermenuColor.';}
   .ht-top-footer ul li{border-color: '.$footermenusborderColor.';}
      .ht-top-footer ul li:hover{border-color: '.$footermenusborderhoverColor.';}
   footer#ht-colophon ul li span.post-date{color: '.$footermenudateColor.';}
    footer#ht-colophon ul li a:hover{color: '.$footermenuhoverColor.';}
   .ht-top-footer input[type="email"], .ht-top-footer input[type="email"]::placeholder, footer#ht-colophon input[type="text"], footer#ht-colophon input[type="text"]::placeholder, footer#ht-colophon textarea::placeholder, footer#ht-colophon textarea, footer#ht-colophon option {color: '.$footerformColor.';}
   .ht-top-footer input[type="email"]{border-color: '.$footerformborderColor.';}
   .ht-top-footer input[type="email"], footer#ht-colophon input[type="text"], footer#ht-colophon textarea, footer#ht-colophon select{background-color: '.$footerformbgColor.';}
    .ht-top-footer input[type="submit"]{color: '.$footerbtnColor.';}
  .ht-top-footer input[type="submit"]{background-color: '.$footerbtnbgColor.';}
   .social-profile-icons ul li i{color: '.$footersocialColor.';}
     .social-profile-icons ul li i:hover{color: '.$footersocialhoverColor.';}

   footer#ht-colophon .social-profile-icons ul li{border-color: '.$footersocialborderColor.';}
   footer#ht-colophon .social-profile-icons ul li:hover{border-color: '.$footersocialborderhoverColor.';}
   .ht-footer table tr{color: '.$footertabletextColor.';}
   .ht-footer table tr{border-color: '.$footertableborderColor.';}
    .ht-site-info{color: '.$footercopyrighttextColor.';}
   .ht-top-footer ul li:before{color: '.$footermenuiconColor.';}
    .ht-top-footer ul li:hover:before{color: '.$footermenuiconhoverColor.';}
    .ht-site-info{border-top-color: '.$footercopyrightbrssColor.';}footer#ht-colophon label, footer#ht-colophon div.wpcf7 p{color: '.$footerformlabeltextcolor.';}';

       //Inner page title color
    $innertitleColor = get_theme_mod('lz_fitness_template_innerpage_titlecolor', '#fff');
    $innertitlebgColor = get_theme_mod('lz_fitness_template_innerpage_bgcolor', '#283949');
    $innerbreadcrumbtitleColor = get_theme_mod('lz_fitness_template_innerpage_breadcrumbtitlecolor', '#000');
    $innerbreadcrumbcurrenttitleColor = get_theme_mod('lz_fitness_template_innerpage_breadcrumbcurrenttitlecolor', '#fbda4d');
    $innerbreadcrumbbgeColor = get_theme_mod('lz_fitness_template_innerpage_breadcrumbbgcolor', '#fff');
    $custom_css .= '.ht-main-title, .single-productpage .ht-main-title {color: '.$innertitleColor.';}
    .page-main-header {background-color: '.$innertitlebgColor.';}
    .breadcrumbbox span{color: '.$innerbreadcrumbtitleColor.';}
    .breadcrumbbox span a {color: '.$innerbreadcrumbcurrenttitleColor.';}
    .breadcrumbbox {background-color: '.$innerbreadcrumbbgeColor.';}';

    // Inner contact us page background color
    $ContactusdetailiconColor = get_theme_mod('lz_fitness_contactus_detailiconColor', '#283949');
    $ContactusdetailtitleColor = get_theme_mod('lz_fitness_contactus_detailtitleColor', '#283949');
    $ContactusdetailinfoColor = get_theme_mod('lz_fitness_contactus_detailinfoColor', '#283949');
    $ContactusdetailemailColor = get_theme_mod('lz_fitness_contactus_detailemailColor', '#fbda4d');
    $ContactusdetailemailhoverColor = get_theme_mod('lz_fitness_contactus_detailemailhoverColor', '#283949');
    $ContactusformtitleColor = get_theme_mod('lz_fitness_contactus_formtitleColor', '#fff');
    $ContactusformbgColor = get_theme_mod('lz_fitness_contactus_formbgColor', '#283949');
    $ContactusformlabelColor = get_theme_mod('lz_fitness_contactus_formlabelColor', '#fff');
    $ContactusformtextplaceColor = get_theme_mod('lz_fitness_contactus_formtextplaceColor', '#fff');
    $ContactusformborderbottomColor = get_theme_mod('lz_fitness_contactus_formborderbottomColor', '#fff');
    $ContactusformbtnColor = get_theme_mod('lz_fitness_contactus_formbtnColor', '#fff');
    $ContactusformbtnbgColor = get_theme_mod('lz_fitness_contactus_formbtnbgColor', '#fbda4d');
     $ContactusformbtnborderColor = get_theme_mod('lz_fitness_contactus_formbtnborderColor', '#fbda4d');

     $ContactusformbtnhoverColor = get_theme_mod('lz_fitness_contactus_formbtnhoverColor', '#283949');
    $ContactusformbtnbghoverColor = get_theme_mod('lz_fitness_contactus_formbtnbghoverColor', '#ffffff');
    $ContactusformbtnborderhoverColor = get_theme_mod('lz_fitness_contactus_formbtnborderhoverColor', '#fff');

     $ContactusformdtextColor = get_theme_mod('lz_fitness_contactus_formdtextColor', '#fff');
    $ContactussocialtitleColor = get_theme_mod('lz_fitness_contactus_SocialtitleColor', '#303030');
    $ContactussocialColor = get_theme_mod('lz_fitness_contactus_SocialTitleColor', '#283949');
    $ContactussocialborderColor = get_theme_mod('lz_fitness_contactus_SocialborderColor', '#283949');
    $ContactussocialhoverColor = get_theme_mod('lz_fitness_contactus_SocialTitlehoverColor', '#fbda4d');
    $ContactussocialborderhoverColor = get_theme_mod('lz_fitness_contactus_SocialborderhoverColor', '#283949');
    $ContactusmapbgColor = get_theme_mod('lz_fitness_contactus_mapbgColor', '#283949');
    $ContactusSocialbgssclrColorColor = get_theme_mod('lz_fitness_contactus_SocialbgssclrColor', '#ffffff');
$ContactusSocialbgssclrhoverColor = get_theme_mod('lz_fitness_contactus_SocialbgssclrhoverColor', '#ffffff');
    $custom_css .= '#ht-contactus-wrap .contact-sm-links li a {background-color: '.$ContactusSocialbgssclrColorColor.';} #ht-contactus-wrap .contact-sm-links li:hover a{background-color: '.$ContactusSocialbgssclrhoverColor.';}
    .contact-page-address .ht-section-tagline{color: '.$ContactusdetailtitleColor.';}
    .contact-page-address .ht-section-tagline span {color: '.$ContactusdetailiconColor.';}
    .contact-page-address .contact-info a{color: '.$ContactusdetailinfoColor.';}
    .contact-page-address a {color: '.$ContactusdetailemailColor.';}
     main#innerpage-box div#ht-contactus-wrap a:hover {color: '.$ContactusdetailemailhoverColor.';}
    #ht-contactus-wrap h4 {color: '.$ContactusformtitleColor.';}
    #ht-contactus-wrap .contact-page-form {background-color: '.$ContactusformbgColor.';}
    #ht-contactus-wrap label {color: '.$ContactusformlabelColor.';}
     #ht-contactus-wrap input[type="text"], 
     #ht-contactus-wrap input[type="email"], 
     #ht-contactus-wrap input[type="url"], 
     #ht-contactus-wrap input[type="password"], 
     #ht-contactus-wrap input[type="search"], 
     #ht-contactus-wrap input[type="number"], 
     #ht-contactus-wrap input[type="tel"], 
     #ht-contactus-wrap input[type="range"], 
     #ht-contactus-wrap input[type="date"], 
     #ht-contactus-wrap input[type="month"], 
     #ht-contactus-wrap input[type="week"], 
     #ht-contactus-wrap input[type="time"], 
     #ht-contactus-wrap input[type="datetime"],
     #ht-contactus-wrap input[type="datetime-local"], 
     #ht-contactus-wrap input[type="color"],
     #ht-contactus-wrap select,
     #ht-contactus-wrap textarea,
     #ht-contactus-wrap input[type="text"]::placeholder,
     #ht-contactus-wrap input[type="email"]::placeholder,
     #ht-contactus-wrap textarea::placeholder,
    #ht-contactus-wrap select::placeholder {color: '.$ContactusformtextplaceColor.';}
    #ht-contactus-wrap input[type="text"], 
     #ht-contactus-wrap input[type="email"], 
     #ht-contactus-wrap input[type="url"], 
     #ht-contactus-wrap input[type="password"], 
     #ht-contactus-wrap input[type="search"], 
     #ht-contactus-wrap input[type="number"], 
     #ht-contactus-wrap input[type="tel"], 
     #ht-contactus-wrap input[type="range"], 
     #ht-contactus-wrap input[type="date"], 
     #ht-contactus-wrap input[type="month"], 
     #ht-contactus-wrap input[type="week"], 
     #ht-contactus-wrap input[type="time"], 
     #ht-contactus-wrap input[type="datetime"],
     #ht-contactus-wrap input[type="datetime-local"], 
     #ht-contactus-wrap input[type="color"],
     #ht-contactus-wrap select,
     #ht-contactus-wrap textarea {border-color: '.$ContactusformborderbottomColor.';}
    #ht-contactus-wrap input[type="submit"] {color: '.$ContactusformbtnColor.';}
     #ht-contactus-wrap input[type="submit"] {background-color: '.$ContactusformbtnbgColor.';}
      #ht-contactus-wrap input[type="submit"] {border-color: '.$ContactusformbtnborderColor.';}


     #ht-contactus-wrap input[type="submit"]:hover{color: '.$ContactusformbtnhoverColor.';}
    #ht-contactus-wrap input[type="submit"]:hover{background-color: '.$ContactusformbtnbghoverColor.';}
   #ht-contactus-wrap input[type="submit"]:hover {border-color: '.$ContactusformbtnborderhoverColor.';}
    #ht-contactus-wrap .contact-page-form{color: '.$ContactusformdtextColor.';}
    #ht-contactus-wrap h3 {color: '.$ContactussocialtitleColor.';}
    #ht-contactus-wrap .contact-sm-links li a {color: '.$ContactussocialColor.';}
    #ht-contactus-wrap .contact-sm-links li a {border-color: '.$ContactussocialborderColor.';}
  main#innerpage-box span.fa:hover{color: '.$ContactussocialhoverColor.';}
   #ht-contactus-wrap .contact-sm-links li a:hover{border-color: '.$ContactussocialborderhoverColor.';}
    .contact-mapbox iframe {background-color: '.$ContactusmapbgColor.';}';

    // $aboutusHeadingColor = get_theme_mod('lz_fitness_aboutus_page_HeadingColor', $primColor);
    // if($primColor == $aboutusHeadingColor){
    //     $aboutusHeadingColor = $headingColor;
    // }

    // $aboutusTextColor = get_theme_mod('lz_fitness_aboutus_page_TextColor', '#333333');
    // $custom_css .= '.lz-about-heading{color: '.$aboutusHeadingColor.';} .lz-about-text{color: '.$aboutusTextColor.';}';

    //facility heading & text color
    $facilityHeadingColor = get_theme_mod('lz_fitness_facility_HeadingColor', '#fc226a');
    $facilityHeadingborderColor = get_theme_mod('lz_fitness_facility_HeadingborderColor', '#fc226a');
    $facilityHeadingbgtextColor = get_theme_mod('lz_fitness_facility_HeadingbgtextColor', '#e0d9d9');
    $facilitysubHeadingColor = get_theme_mod('lz_fitness_facility_SubHeadingColor', '#2b2b2b');
     $facilityiconColor = get_theme_mod('lz_fitness_facility_IconColor', '#7c529c');
     $facilitytitleColor = get_theme_mod('lz_fitness_facility_titleColor', '#212121');
    $facilitydescColor = get_theme_mod('lz_fitness_facility_descriptionColor', '#3e3e3e');
    $facilitybtntextColor = get_theme_mod('lz_fitness_facility_btntextColor', '#fc226a');
    $facilitybtntexthoverColor = get_theme_mod('lz_fitness_facility_btntexthoverColor', '#7c529c');
    $facilitybtnborderhoverColor = get_theme_mod('lz_fitness_facility_btnborderhoverColor', '#7c529c');
     $facilitytopborderColor = get_theme_mod('lz_fitness_facility_topborderColor', '#dadada');
    $facilityrightborderColor = get_theme_mod('lz_fitness_facility_rightborderColor', '#dadada');
    

    $custom_css .= '#facility-content-section .lz-facility-Post-heading{color: '.$facilityHeadingColor.';}  
    #facility-content-section .lz-facility-Post-heading{border-color: '.$facilityHeadingborderColor.';} 
    h5.lz-facility-heading-bgtext{color: '.$facilityHeadingbgtextColor.';} 
   #facility-content-section .lz-facility-subheading{color: '.$facilitysubHeadingColor.';} 
  #facility-content-section .facility-icon{color: '.$facilityiconColor.';} 
  #facility-content-section .facility-post h5{color: '.$facilitytitleColor.';} 
  #facility-content-section .description{color: '.$facilitydescColor.';} 
   #facility-content-section .facility-readmore a{color: '.$facilitybtntextColor.';} 
  #facility-content-section .facility-readmore a:hover{color: '.$facilitybtntexthoverColor.';} 
  #facility-content-section .facility-readmore a:hover{border-color: '.$facilitybtnborderhoverColor.';} 
 #facility-content-section .facility-post {border-color: '.$facilitytopborderColor.';} ';


    //services heading & text color
$servicesHeadingColor = get_theme_mod('lz_services_HeadingColor', '#292929');
$servicesSubHeadingColor = get_theme_mod('lz_services_SubHeadingColor', '#292929');
$servicespageTitleColor = get_theme_mod('lz_services_pageTitleColor', '#222222');
$servicespageDescriptionColor = get_theme_mod('lz_services_pageDescriptionColor', '#222222');
$servicesButtontextColor = get_theme_mod('lz_services_pageButtontextColor', '#ffffff');
$servicesButtonarrowColor = get_theme_mod('lz_services_pageButtonarrowColor', '#ffffff');
$servicespageButtonbgssColor = get_theme_mod('lz_services_pageButtonbgssColor', '#283949');
$servicesButtontexthoverColor = get_theme_mod('lz_services_pageButtontexthoverColor', '#2b2b2b');
$servicesButtonarrowhoverColor = get_theme_mod('lz_services_pageButtonarrowhoverColor', '#2b2b2b');
$servicespageButtonbgsshoverColor = get_theme_mod('lz_services_pageButtonbgsshoverColor', '#fbda4d');
//$servicesboxbgssColor = get_theme_mod('lz_services_boxbgssColor', '#ffffff');

$servicesborderbotmColor = get_theme_mod('lz_services_borderbotmColor', '#cecece');
$servicesborderbotmheighligjhtColor = get_theme_mod('lz_services_borderbotmheighligjhtColor', '#fbda4d');

$servicesimageoverlaybgssclrColor = get_theme_mod('lz_services_pageimageoverlaybgssclrColor', '#000');

$custom_css .= 'h2.ht-section-title.lz-services-Post-heading{color: '.$servicesHeadingColor.';}
section#services-post-section .lz-services-subheading{color: '.$servicesSubHeadingColor.';}
section#services-post-section h3.post-title a{color: '.$servicespageTitleColor.';}
section#services-post-section p{color: '.$servicespageDescriptionColor.';}
section#services-post-section button a,  #innerpage-box .services-post .servicess-button button a{color: '.$servicesButtontextColor.';}
section#services-post-section button,  #innerpage-box .services-post .servicess-button button{background-color: '.$servicespageButtonbgssColor.';}
section#services-post-section i.fa.fa-arrow-right{color: '.$servicesButtonarrowColor.';}
section#services-post-section .services-post:hover button,  #innerpage-box .services-post .servicess-button button:hover{background-color: '.$servicespageButtonbgsshoverColor.';}
section#services-post-section .services-post:hover button a,  #innerpage-box .services-post .servicess-button button a:hover{color: '.$servicesButtontexthoverColor.';}
section#services-post-section .services-post:hover i.fa.fa-arrow-right, #innerpage-box .services-post:hover i.fa.fa-arrow-right{color: '.$servicesButtonarrowhoverColor.';}
section#services-post-section .ht-section-title-tagline:before{border-bottom-color: '.$servicesborderbotmheighligjhtColor.';}
section#services-post-section .ht-section-title-tagline:after{border-bottom-color: '.$servicesborderbotmColor.';}
.services-post .service_img:after{background-color: '.$servicesimageoverlaybgssclrColor.';}';


// gallery section


     //Video section
    $videoHeadingColor = get_theme_mod('lz_fitness_video_HeadingColor', '#fc226a');
    $videoHeadingborderColor = get_theme_mod('lz_fitness_video_HeadingborderColor', '#fc226a');
    $videoHeadingbgtextColor = get_theme_mod('lz_fitness_video_HeadingbgtextColor', '#e0d9d9');
    $videosubHeadingColor = get_theme_mod('lz_fitness_videoSubTitleColor', '#2b2b2b');
    $videoborderColor = get_theme_mod('lz_fitness_videoborderColor', '#000');
    $custom_css .= '#video-section .lz-video-Post-heading {color: '.$videoHeadingColor.';} 
    #video-section .lz-video-Post-heading {border-color: '.$videoHeadingborderColor.';}
   h5.lz-video-heading-bgtext {color: '.$videoHeadingbgtextColor.';}
   #video-section .lz-video-subheading{color: '.$videosubHeadingColor.';}
  #video-section .video-sec iframe{border-color: '.$videoborderColor.';}'; 

    //team heading & text color
     $teamHeadingColor = get_theme_mod('lz_fitness_team_HeadingColor', '#000');
    $teamHeadingbgColor = get_theme_mod('lz_fitness_team_HeadingbgColor', '#ea70a1');
     $teamHeadingoutlineColor = get_theme_mod('lz_fitness_team_HeadingoutlineColor', '#ea70a1');
    $teamSubHeadingColor = get_theme_mod('lz_fitness_team_SubHeadingColor', '#2b2b2b');
     $teamTitleColor = get_theme_mod('lz_fitness_team_TitleColor', '#6A1B9A');
     $teamTitlehoverColor = get_theme_mod('lz_fitness_team_TitlehoverColor', '#EC5598');
     $teamDesignationColor = get_theme_mod('lz_fitness_team_designationColor', '#888');
     $teamSocialColor = get_theme_mod('lz_fitness_team_socialColor', '#777');
     $teamSocialhoverColor = get_theme_mod('lz_fitness_team_socialhoverColor', '#6A1B9A');
     $teamBoxbgColor = get_theme_mod('lz_fitness_team_boxbgColor', '#fff');
    $custom_css .= 'h2.ht-section-title.lz-team-heading{color: '.$teamHeadingColor.';} 
    h2.ht-section-title.lz-team-heading{background-color: '.$teamHeadingbgColor.';} 
    h2.ht-section-title.lz-team-heading{outline-color: '.$teamHeadingoutlineColor.';} 
   #ht-team-section .lz-team-subheading{color: '.$teamSubHeadingColor.';} 
    .ht-team-member h6{color: '.$teamTitleColor.';}
   .ht-team-member:hover .ht-title-wrap h6{color: '.$teamTitlehoverColor.';}
    #ht-team-section .team-member-designation, #innerpage-box  .team-member-designation{color: '.$teamDesignationColor.';}
   .ht-team-social-id a, #innerpage-box .ht-team-social-id a i{color: '.$teamSocialColor.';}
    .ht-team-social-id a:hover, #innerpage-box .ht-team-social-id a i:hover{color: '.$teamSocialhoverColor.';}
   .ht-title-wrap{background-color: '.$teamBoxbgColor.';}';

     //Banner heading & text color
    $bannerHeadingColor = get_theme_mod('lz_fitness_banner_HeadingColor', '#fff');
    $bannerHeadingbgColor = get_theme_mod('lz_fitness_banner_HeadingbbgColor', '#ea70a1');
    $bannerHeadingoutlineColor = get_theme_mod('lz_fitness_banner_HeadingoutlineColor', '#ea70a1');
    $bannerlefthighlightColor = get_theme_mod('lz_fitness_banner_leftboxhighlighttitleColor', '#fff');
    $bannerlefttitleColor = get_theme_mod('lz_fitness_banner_leftboxtitleColor', '#6A1B9A');
    $bannerlefttextColor = get_theme_mod('lz_fitness_banner_lefttextColor', '#fff');
     $bannerleftbtntextColor = get_theme_mod('lz_fitness_banner_leftbtnTextColor', '#fff');
    $bannerleftbtnbgColor = get_theme_mod('lz_fitness_banner_leftbtnbgColor', '#6A1B9A');
    $bannerleftbtnhoverColor = get_theme_mod('lz_fitness_banner_lrftbtnhoverColor', '#fff');
    $bannerleftbtnborderhoverColor = get_theme_mod('lz_fitness_banner_leftbtnborderhoverColor', '#6A1B9A');
    $bannerleftboxborderColor = get_theme_mod('lz_fitness_banner_leftboxborderColor', '#e4e4e4');

     $bannerrighthighlightColor = get_theme_mod('lz_fitness_banner_rightboxhighlighttitleColor', '#6A1B9A');
    $bannerrighttitleColor = get_theme_mod('lz_fitness_banner_righttboxtitleColor', '#4d4d4d');
     $bannerrightbtntextColor = get_theme_mod('lz_fitness_banner_rightbtnTextColor', '#fff');
    $bannerrightbtnbgColor = get_theme_mod('lz_fitness_banner_rightbtnbgColor', '#6A1B9A');
    $bannerrightbtnhoverColor = get_theme_mod('lz_fitness_banner_rightbtnhoverColor', '#fff');
    $bannerrightbtnborderhoverColor = get_theme_mod('lz_fitness_banner_rightbtnborderhoverColor', '#6A1B9A');
    $bannerrightboxborderColor = get_theme_mod('lz_fitness_banner_rightboxborderColor', '#e4e4e4');


    $custom_css .= '#banner-content-section .lz-banner-heading{color: '.$bannerHeadingColor.';}
    #banner-content-section .lz-banner-heading{background-color: '.$bannerHeadingbgColor.';}
    #banner-content-section .lz-banner-heading{outline-color: '.$bannerHeadingoutlineColor.';}
    .bannerbox .lz-banner-maintitlehightlight{color: '.$bannerlefthighlightColor.';}
   .bannerbox .lz-banner-maintitle{color: '.$bannerlefttitleColor.';}
   .bannerbox .lz-banner-text{color: '.$bannerlefttextColor.';}
   #banner-content-section .readmore a{color: '.$bannerleftbtntextColor.';}
   #banner-content-section .readmore a{background-color: '.$bannerleftbtnbgColor.';}
   #banner-content-section .readmore a:hover{color: '.$bannerleftbtnhoverColor.';}
  #banner-content-section .readmore a:hover{border-color: '.$bannerleftbtnborderhoverColor.';}
  .banner-img-box img{border-color: '.$bannerleftboxborderColor.';}

  .right-bannerbox .right-databox span{color: '.$bannerrighthighlightColor.';}
   .right-bannerbox .right-databox h5{color: '.$bannerrighttitleColor.';}
  #banner-content-section .banner-readmore a{color: '.$bannerrightbtntextColor.';}
  #banner-content-section .banner-readmore a{background-color: '.$bannerrightbtnbgColor.';}
  #banner-content-section .banner-readmore a:hover{color: '.$bannerrightbtnhoverColor.';}
 #banner-content-section .banner-readmore a:hover{border-color: '.$bannerrightbtnborderhoverColor.';}
 .banner-icon img{border-color: '.$bannerrightboxborderColor.';}';

    //
    
    //gym heading & text color
    // timing and address section
     $timingHeadingColor = get_theme_mod('lz_fitness_gym_HeadingColor', '#323232');
     $timingTextColor = get_theme_mod('lz_fitness_gym_TextColor', '#232222');
    $custom_css .= '.lz-gym-heading{color: '.$timingHeadingColor.';} 
    .lz-fitness-time .days-time-day-time{color: '.$timingTextColor.';}';
    //

// featured product section heading & text color
    $featuredproductHeadingColor = get_theme_mod('lz_fitness_featured_product_HeadingColor', '#ea70a1');
    $featuredproductHeadingbgColor = get_theme_mod('lz_fitness_featured_product_HeadingbgColor', '#fff');
    $featuredproductHeadingoutlineColor = get_theme_mod('lz_fitness_featured_product_HeadingoutlineColor', '#fff');
    $featuredproductSubHeadingColor = get_theme_mod('lz_fitness_featured_product_SubHeadingColor', '#fff');
    $featuredproductNameColor = get_theme_mod('lz_fitness_featured_product_NameColor', '#161616');
    $featuredproductRPriceColor = get_theme_mod('lz_fitness_featured_product_regulerpriceColor', '#000');
    $featuredproductSpriceColor = get_theme_mod('lz_fitness_featured_product_salepriceColor', '#000');
    $featuredproductSpricebgColor = get_theme_mod('lz_fitness_featured_product_salepricebgColor', '#ffcec5');
    $featuredproductbtnColor = get_theme_mod('lz_fitness_featured_product_btnColor', '#fff');
     $featuredproductbtnbgColor = get_theme_mod('lz_fitness_featured_product_btnbgColor', '#6A1B9A');
    $featuredproductbtnborderColor = get_theme_mod('lz_fitness_featured_product_btnborderColor', '#6A1B9A');   
    $featuredproductbtnbghoverColor = get_theme_mod('lz_fitness_featured_product_btnhoverbgColor', '#6A1B9A');
     $featuredproductbtninnerbghoverColor = get_theme_mod('lz_fitness_featured_product_btnhoverbginnerColor', '#000');
    $featuredproductbtnborderhoverColor = get_theme_mod('lz_fitness_featured_product_btnborderhoverColor', '#6A1B9A');
    $featuredproductContentboxColor = get_theme_mod('lz_fitness_featured_product_contentboxColor', '#fff');
    $featuredproductimgborderColor = get_theme_mod('lz_fitness_featured_product_imageborderColor', '#f1f0f0');
    $featuredproductboxborderColor = get_theme_mod('lz_fitness_featured_product_productboxborderColor', '#ccc');
    $featuredarrowColor = get_theme_mod('lz_fitness_featured_product_arrowColor', '#fff');
    $featuredarrowborderColor = get_theme_mod('lz_fitness_featured_product_arrowborderColor', '#fff');
    $featuredarrowhoverColor = get_theme_mod('lz_fitness_featured_product_arrowhoverColor', '#000');
    $featuredarrowborderhoverColor = get_theme_mod('lz_fitness_featured_product_arrowborderhoverColor', '#000');
    
    $custom_css .= '#featured-product-section .lz-featured-product-heading{color: '.$featuredproductHeadingColor.';}
    #featured-product-section .lz-featured-product-heading{background-color: '.$featuredproductHeadingbgColor.';}
    #featured-product-section .lz-featured-product-heading{outline-color: '.$featuredproductHeadingoutlineColor.';}
    #featured-product-section .lz-featured-product-subheading{color: '.$featuredproductSubHeadingColor.';}
    .total-product-title-wrap h6{color: '.$featuredproductNameColor.';}
    #recent-porduct .price del span.woocommerce-Price-amount{color: '.$featuredproductRPriceColor.';}
    #recent-porduct .price ins span.woocommerce-Price-amount{color: '.$featuredproductSpriceColor.';}
    #recent-porduct .price ins span.woocommerce-Price-amount{background-color: '.$featuredproductSpricebgColor.';}
    .total-product-title-wrap .add-to-cart a{color: '.$featuredproductbtnColor.';}
   .featuredeff-10{border-color: '.$featuredproductbtnbgColor.';}
    .add-to-cart{border-color: '.$featuredproductbtnborderColor.';}
     .add-to-cart:hover .featuredeff-10 {border-color: '.$featuredproductbtnbghoverColor.';}
     #recent-porduct .add-to-cart:hover {background-color: '.$featuredproductbtninnerbghoverColor.';}
    #recent-porduct .add-to-cart:hover{border-color: '.$featuredproductbtnborderhoverColor.';}

    .total-product-title-wrap{background-color: '.$featuredproductContentboxColor.';}
    .pro-img img{border-color: '.$featuredproductimgborderColor.';}
    #recent-porduct{border-color: '.$featuredproductboxborderColor.';}
    .ctrl-btn{color: '.$featuredarrowColor.';}
   .ctrl-btn.pro-next, .ctrl-btn.pro-prev{border-color: '.$featuredarrowborderColor.';}
     .ctrl-btn:hover{color: '.$featuredarrowhoverColor.';}
   .ctrl-btn.pro-next:hover, .ctrl-btn.pro-prev:hover{border-color: '.$featuredarrowborderhoverColor.';}';

    //plan heading & text color
    $planHeadingColor = get_theme_mod('lz_fitness_plan_HeadingColor', '#fff');
    $planHeadingborderColor = get_theme_mod('lz_fitness_plan_headingborderColor', '#fff');
   $planHeadingbgtextColor = get_theme_mod('lz_fitness_plan_HeadingbgtextColor', '#868985');
    $plansubHeadingColor = get_theme_mod('lz_fitness_plan_SubheadingColor', '#fff');

    $plantitleColor = get_theme_mod('lz_fitness_plan_titleColor', '#212121');
    $plancontentColor = get_theme_mod('lz_fitness_plan_contentColor', '#3f3f3f');
   $plancontentborderColor = get_theme_mod('lz_fitness_plan_contentborderColor', '#dadada');
     $planstartColor = get_theme_mod('lz_fitness_plan_planstartColor', '#212121');
     $planamountColor = get_theme_mod('lz_fitness_plan_amountColor', '#212121');
    $planbtntextColor = get_theme_mod('lz_fitness_plan_btntextColor', '#fff');
    $planbtnbgColor = get_theme_mod('lz_fitness_plan_btnbgColor', '#fc226a');
    $planpricingboxbtnborderColor = get_theme_mod('lz_fitness_plan_btnborderColor', '#fc226a');
    $planpricingboxColor = get_theme_mod('lz_fitness_plan_pricingboxColor', '#fff');
    $planpricingboxoutlineColor = get_theme_mod('lz_fitness_plan_pricingboxoutlineColor', '#fff');

     $plantitlehoverColor = get_theme_mod('lz_fitness_plan_titlehoverColor', '#fff');
    $plancontenthoverColor = get_theme_mod('lz_fitness_plan_contenthoverColor', '#fff');
   $plancontentborderhoverColor = get_theme_mod('lz_fitness_plan_contentborderhoverColor', '#fff');
     $planstarthoverColor = get_theme_mod('lz_fitness_plan_planstarthoverColor', '#fff');
     $planamounthoverColor = get_theme_mod('lz_fitness_plan_amounthoverColor', '#fff');
    $planbtntexthoverColor = get_theme_mod('lz_fitness_plan_btntexthoverColor', '#ff');
    $planbtnbghoverColor = get_theme_mod('lz_fitness_plan_btnbghoverColor', '#7c529c');
    $planpricingboxbtnborderhoverColor = get_theme_mod('lz_fitness_plan_btnborderhoverColor', '#fff');
    $planpricingboxhoverColor = get_theme_mod('lz_fitness_plan_pricingboxhoverColor', '#7c529c');
    $planpricingboxoutlinehoverColor = get_theme_mod('lz_fitness_plan_pricingboxoutlinehoverColor', '#7c529c');

    $planboxbtntexthoverColor = get_theme_mod('lz_fitness_plan_boxbtntexthoverColor', '#fb216a');
     $planboxbtnbghoverColor = get_theme_mod('lz_fitness_plan_boxbtnbghoverColor', '#fff');
    $planboxbtnborderhoverColor = get_theme_mod('lz_fitness_plan_boxbtnborderhoverColor', '#fb216a');
    $custom_css .= '#ht-princing-post-section .lz-package-heading{color: '.$planHeadingColor.';} 
   #ht-princing-post-section .lz-package-heading {border-color: '.$planHeadingborderColor.';}
   h5.lz-package-heading-bgtext{color: '.$planHeadingbgtextColor.';}
    #ht-princing-post-section .lz-package-subheading {color: '.$plansubHeadingColor.';}
    
   #pricing-page .ht-princing-title{color: '.$plantitleColor.';}
   #pricing-page .ht-princing-excerpt {color: '.$plancontentColor.';}
    #pricing-page .ht-princing-excerpt  {border-color: '.$plancontentborderColor.';}
   #pricing-page .plan-starts{color: '.$planstartColor.';}
   #pricing-page .plan-amount{color: '.$planamountColor.';}
  #pricing-page .ht-princing-link a{color: '.$planbtntextColor.';}
  #pricing-page .ht-princing-link a{background-color: '.$planbtnbgColor.';}
   #pricing-page .ht-princing-link a {border-color: '.$planpricingboxbtnborderColor.';}
  #pricing-page .ht-plan-block{background-color: '.$planpricingboxColor.';}
 #pricing-page .ht-plan-block{outline-color: '.$planpricingboxoutlineColor.';}

  #pricing-page .ht-plan-block:hover .ht-princing-title {color: '.$plantitlehoverColor.';}
   #pricing-page .ht-plan-block:hover .ht-princing-excerpt {color: '.$plancontenthoverColor.';}
   #pricing-page .ht-plan-block:hover .ht-princing-excerpt {border-color: '.$plancontentborderhoverColor.';}
   #pricing-page .ht-plan-block:hover .plan-starts{color: '.$planstarthoverColor.';}
   #pricing-page .ht-plan-block:hover .plan-amount {color: '.$planamounthoverColor.';}
   #pricing-page .ht-plan-block:hover .ht-princing-link a{color: '.$planbtntexthoverColor.';}
   #pricing-page .ht-plan-block:hover .ht-princing-link a {background-color: '.$planbtnbghoverColor.';}
   #pricing-page .ht-plan-block:hover .ht-princing-link a {border-color: '.$planpricingboxbtnborderhoverColor.';}
    #pricing-page .ht-plan-block:hover {background-color: '.$planpricingboxhoverColor.';}
   #pricing-page .ht-plan-block:hover {outline-color: '.$planpricingboxoutlinehoverColor.';}

   #pricing-page .ht-plan-block:hover .ht-princing-link a:hover {color: '.$planboxbtntexthoverColor.';}
   #pricing-page .ht-plan-block:hover .ht-princing-link a:hover {background-color: '.$planboxbtnbghoverColor.';}
   #pricing-page .ht-plan-block:hover .ht-princing-link a:hover {border-color: '.$planboxbtnborderhoverColor.';}';

  

    $custom = get_post_custom( $post->ID );

    $image_id = get_post_meta( $post->ID, '_listing_image_id', true );
    $thumbnail_html = wp_get_attachment_image_src( $image_id, 'larger');

    // echo '<pre />'; print_r($custom);
    if(!empty($custom['useColor']) && $custom['useColor'][0]==1){
        if( isset( $custom['page_bg_color'][0] ) ){
            $custom_css .= '#innerpage-box{background-color:'.$custom['page_bg_color'][0].';}';
        }
    }elseif(!empty($custom['useColor']) && $custom['useColor'][0]==0){
        if( isset( $custom['_listing_image_id'][0]) ){
            $custom_css .= '#innerpage-box{background-image: url(\''.$thumbnail_html[0].'\');background-position: center;background-attachment: fixed;background-origin: content-box;background-size: cover;}';
        }
    }else {
        if( isset( $custom['_listing_image_id'][0]) ){
            $custom_css .= '#innerpage-box{background:none}';
        }
    }

    $custom_css .='.border{border:1px solid #fff;}';

    return punte_css_strip_whitespace($custom_css);
}